program solution;

{$APPTYPE CONSOLE}

var
  s1, s2, s3: extended;

begin
//	reset(input,'input.txt');
//	rewrite(output,'output.txt');
	
	read(s1,s2,s3);
	
	assert( (s1 > 0) and (s1 <= 1000.0) and (s2 > 0) and (s2 <= 1000.0) and (s3 > 0) and (s3 <= 1000.0));
	
	write(sqr(sqrt(s1)+sqrt(s2)+sqrt(s3)):0:8);
	
end.